ConvergeFu = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceDB-2.0", "FuBarPlugin-2.0"); 
local L = AceLibrary("AceLocale-2.2"):new("ConvergeFu"); 
local Tablet = AceLibrary("Tablet-2.0"); 

ConvergeFu:RegisterDB("ConvergeFuDB"); 
ConvergeFu.hasIcon = true; 
ConvergeFu.defaultPosition = "RIGHT"; 

ConvergeFu.consoleOptions = { 
   type = 'group', 
   args = { 
      announce = { 
         name = L["mainmenu-announce-title"], 
         type = 'group', 
         desc = L["mainmenu-announce-descr"], 
         args = { 
            guild = { 
               name = L["ann-guild-title"], 
               type = 'group', 
               desc = L["ann-guild-descr"], 
               args = {
                  invites = { 
                     name = L["ann-guild-raid-invite-title"], 
                     type = 'group', 
                     desc = L["ann-guild-raid-invite-descr"], 
                     args = {
                        banasea ={ 
                           name = L["common-officer-name-banasea"], 
                           desc = L["ann-guild-raid-invite-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-raid-invite-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-06-msg"], "GUILD")
                          
                             SendChatMessage(L["common-officer-name-banasea"], "GUILD")
                 
                             SendChatMessage(L["ann-guild-raid-invite-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-10-msg"], "GUILD")
                           end
                        },
                        broliant ={ 
                           name = L["common-officer-name-broliant"], 
                           desc = L["ann-guild-raid-invite-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-raid-invite-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-06-msg"], "GUILD")
                          
                             SendChatMessage(L["common-officer-name-broliant"], "GUILD")
                 
                             SendChatMessage(L["ann-guild-raid-invite-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-10-msg"], "GUILD")
                           end 
                        },
                        jawa ={ 
                           name = L["common-officer-name-jawa"], 
                           desc = L["ann-guild-raid-invite-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-raid-invite-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-06-msg"], "GUILD")
                 
                             SendChatMessage(L["common-officer-name-jawa"], "GUILD")

                             SendChatMessage(L["ann-guild-raid-invite-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-10-msg"], "GUILD")
                           end
                        },     
                        letita ={ 
                           name = L["common-officer-name-letita"], 
                           desc = L["ann-guild-raid-invite-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-raid-invite-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-06-msg"], "GUILD")
                 
                             SendChatMessage(L["common-officer-name-letita"], "GUILD")
                 
                             SendChatMessage(L["ann-guild-raid-invite-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-10-msg"], "GUILD")
                           end 
                        },                     
                        lyamblade ={ 
                           name = L["common-officer-name-lyamblade"], 
                           desc = L["ann-guild-raid-invite-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-raid-invite-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-06-msg"], "GUILD")
                 
                             SendChatMessage(L["common-officer-name-lyamblade"], "GUILD")

                             SendChatMessage(L["ann-guild-raid-invite-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-10-msg"], "GUILD")
                           end 
                        },            
                        paraply ={ 
                           name = L["common-officer-name-paraply"], 
                           desc = L["ann-guild-raid-invite-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-raid-invite-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-06-msg"], "GUILD")
                 
                             SendChatMessage(L["common-officer-name-paraply"], "GUILD")
                    
                             SendChatMessage(L["ann-guild-raid-invite-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-10-msg"], "GUILD")
                           end 
                        },            
                        vanhelgan ={ 
                           name = L["common-officer-name-vanhelgan"], 
                           desc = L["ann-guild-raid-invite-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-raid-invite-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-06-msg"], "GUILD")
                 
                             SendChatMessage(L["common-officer-name-vanhelgan"], "GUILD")
                 
                             SendChatMessage(L["ann-guild-raid-invite-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-10-msg"], "GUILD")
                           end
                        },
                        zmall ={ 
                           name = L["common-officer-name-zmall"], 
                           desc = L["ann-guild-raid-invite-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-raid-invite-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-06-msg"], "GUILD")
                 
                             SendChatMessage(L["common-officer-name-zmall"], "GUILD")
                 
                             SendChatMessage(L["ann-guild-raid-invite-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-raid-invite-10-msg"], "GUILD")
                           end 
                        }
                     }
                  },
                  queue = { 
                     name = L["ann-guild-wait-list-title"], 
                     type = 'group', 
                     desc = L["ann-guild-wait-list-descr"], 
                     args = {
                        banasea ={ 
                           name = L["common-officer-name-banasea"], 
                           desc = L["ann-guild-wait-list-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-wait-list-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-06-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-10-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-11-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-12-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-13-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-14-msg"], "GUILD")
                             
                             SendChatMessage(L["common-officer-name-banasea"], "GUILD")
                             
                             SendChatMessage(L["ann-guild-wait-list-15-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-16-msg"], "GUILD")
                           end
                        },
                        broliant ={ 
                           name = L["common-officer-name-broliant"], 
                           desc = L["ann-guild-wait-list-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-wait-list-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-06-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-10-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-11-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-12-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-13-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-14-msg"], "GUILD")
                             
                             SendChatMessage(L["common-officer-name-broliant"], "GUILD")
                          
                             SendChatMessage(L["ann-guild-wait-list-15-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-16-msg"], "GUILD")
                           end 
                        },
                        jawa ={ 
                           name = L["common-officer-name-jawa"], 
                           desc = L["ann-guild-wait-list-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-wait-list-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-06-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-10-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-11-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-12-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-13-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-14-msg"], "GUILD")
                             
                             SendChatMessage(L["common-officer-name-jawa"], "GUILD")
                             
                             SendChatMessage(L["ann-guild-wait-list-15-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-16-msg"], "GUILD")
                           end
                        },     
                        letita ={ 
                           name = L["common-officer-name-letita"], 
                           desc = L["ann-guild-wait-list-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-wait-list-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-06-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-10-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-11-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-12-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-13-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-14-msg"], "GUILD")
                          
                             SendChatMessage(L["common-officer-name-letita"], "GUILD")
                          
                             SendChatMessage(L["ann-guild-wait-list-15-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-16-msg"], "GUILD")
                           end 
                        },                     
                        lyamblade ={ 
                           name = L["common-officer-name-lyamblade"], 
                           desc = L["ann-guild-wait-list-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-wait-list-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-06-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-10-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-11-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-12-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-13-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-14-msg"], "GUILD")
                             
                             SendChatMessage(L["common-officer-name-lyamblade"], "GUILD")
                             
                             SendChatMessage(L["ann-guild-wait-list-15-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-16-msg"], "GUILD")
                           end 
                        },            
                        paraply ={ 
                           name = L["common-officer-name-paraply"], 
                           desc = L["ann-guild-wait-list-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-wait-list-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-06-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-10-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-11-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-12-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-13-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-14-msg"], "GUILD")
                          
                             SendChatMessage(L["common-officer-name-paraply"], "GUILD")
                          
                             SendChatMessage(L["ann-guild-wait-list-15-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-16-msg"], "GUILD")
                           end 
                        },            
                        vanhelgan ={ 
                           name = L["common-officer-name-vanhelgan"], 
                           desc = L["ann-guild-wait-list-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-wait-list-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-06-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-10-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-11-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-12-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-13-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-14-msg"], "GUILD")
                          
                             SendChatMessage(L["common-officer-name-vanhelgan"], "GUILD")
                          
                             SendChatMessage(L["ann-guild-wait-list-15-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-16-msg"], "GUILD")
                           end
                        }, 
                        zmall ={ 
                           name = L["common-officer-name-zmall"], 
                           desc = L["ann-guild-wait-list-officer-descr"], 
                           type = 'execute', 
                           func = function() 
                             SendChatMessage(L["ann-guild-wait-list-01-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-02-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-03-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-04-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-05-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-06-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-07-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-08-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-09-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-10-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-11-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-12-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-13-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-14-msg"], "GUILD")
                          
                             SendChatMessage(L["common-officer-name-zmall"], "GUILD")
                          
                             SendChatMessage(L["ann-guild-wait-list-15-msg"], "GUILD")
                             SendChatMessage(L["ann-guild-wait-list-16-msg"], "GUILD")
                           end 
                        } 
                     }
                  },
                  welcome_new_trial = { 
                     name = L["ann-guild-new-trial-title"], 
                     desc = L["ann-guild-new-trial-descr"], 
                     type = 'execute', 
                     func = function() 
                        SendChatMessage(L["ann-guild-new-trial-01-msg"], "GUILD")
                        SendChatMessage(L["ann-guild-new-trial-02-msg"], "GUILD")
                        SendChatMessage(L["ann-guild-new-trial-03-msg"], "GUILD")
                        SendChatMessage(L["ann-guild-new-trial-04-msg"], "GUILD")
                        SendChatMessage(L["ann-guild-new-trial-05-msg"], "GUILD")
                        SendChatMessage(L["ann-guild-new-trial-06-msg"], "GUILD")
                        SendChatMessage(L["ann-guild-new-trial-07-msg"], "GUILD")
                        SendChatMessage(L["ann-guild-new-trial-08-msg"], "GUILD")
                        SendChatMessage(L["ann-guild-new-trial-09-msg"], "GUILD")
                        SendChatMessage(L["ann-guild-new-trial-10-msg"], "GUILD")
                        SendChatMessage(L["ann-guild-new-trial-11-msg"], "GUILD")
                     end 
                  },
                  welcome_new_alt = { 
                     name = L["ann-guild-new-alt-title"], 
                     desc = L["ann-guild-new-alt-descr"], 
                     type = 'execute', 
                     func = function() 
                       SendChatMessage(L["ann-guild-new-alt-01-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-new-alt-02-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-new-alt-03-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-new-alt-04-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-new-alt-05-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-new-alt-06-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-new-alt-07-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-new-alt-08-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-new-alt-09-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-new-alt-10-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-new-alt-11-msg"], "GUILD")
                     end 
                  },  
                  trial_ended ={ 
                     name = L["ann-guild-trial-ended-title"], 
                     desc = L["ann-guild-trial-ended-descr"], 
                     type = 'execute', 
                     func = function() 
                       SendChatMessage(L["ann-guild-trial-ended-01-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-trial-ended-02-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-trial-ended-03-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-trial-ended-04-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-trial-ended-05-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-trial-ended-06-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-trial-ended-07-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-trial-ended-08-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-trial-ended-09-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-trial-ended-10-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-trial-ended-11-msg"], "GUILD")
                     end
                  },             
                  promote_trial ={ 
                     name = L["ann-guild-promote-title"], 
                     desc = L["ann-guild-promote-descr"], 
                     type = 'execute', 
                     func = function() 
                       SendChatMessage(L["ann-guild-promote-01-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-promote-02-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-promote-03-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-promote-04-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-promote-05-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-promote-06-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-promote-07-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-promote-08-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-promote-09-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-promote-10-msg"], "GUILD")
                       SendChatMessage(L["ann-guild-promote-11-msg"], "GUILD")
                     end
                  }                  
               }
            },
            raid = {
               name = L["ann-raid-title"], 
               type = 'group', 
               desc = L["ann-raid-descr"], 
               args = {             
                 kill_order = { 
                    name = L["ann-common-kill-order-title"], 
                    desc = L["ann-common-kill-order-descr"], 
                    type = 'execute', 
                    func = function() 
                       SendChatMessage(L["ann-common-kill-order-01-msg"], "RAID")
                       SendChatMessage(L["ann-common-kill-order-02-msg"], "RAID")
                       SendChatMessage(L["ann-common-kill-order-03-msg"], "RAID")
                       SendChatMessage(L["ann-common-kill-order-04-msg"], "RAID")
                       SendChatMessage(L["ann-common-kill-order-05-msg"], "RAID")
                       SendChatMessage(L["ann-common-kill-order-06-msg"], "RAID")
                       SendChatMessage(L["ann-common-kill-order-07-msg"], "RAID")
                       SendChatMessage(L["ann-common-kill-order-08-msg"], "RAID")
                       SendChatMessage(L["ann-common-kill-order-09-msg"], "RAID")
                       SendChatMessage(L["ann-common-kill-order-10-msg"], "RAID")
                       SendChatMessage(L["ann-common-kill-order-11-msg"], "RAID")
                       SendChatMessage(L["ann-common-kill-order-12-msg"], "RAID")
                    end 
                 },
                 ventrilo = { 
                    name = L["ann-common-ventrilo-title"], 
                    desc = L["ann-common-ventrilo-descr"], 
                    type = 'execute', 
                    func = function() 
                       SendChatMessage(L["ann-common-ventrilo-01-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-02-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-03-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-04-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-05-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-06-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-07-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-08-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-09-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-10-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-11-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-12-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-13-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-14-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-15-msg"], "RAID")
                       SendChatMessage(L["ann-common-ventrilo-16-msg"], "RAID")
                    end 
                 },               
                 raid_begin = { 
                    name = L["ann-raid-raid-begin-title"], 
                    desc = L["ann-raid-raid-begin-descr"], 
                    type = 'execute', 
                    func = function() 
                      SendChatMessage(L["ann-raid-raid-begin-02-msg"], "RAID_WARNING")
                      SendChatMessage(L["ann-raid-raid-begin-14-msg"], "RAID_WARNING")
  
                      SendChatMessage(L["ann-raid-raid-begin-01-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-begin-02-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-begin-03-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-begin-04-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-begin-05-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-begin-06-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-begin-07-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-begin-08-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-begin-09-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-begin-10-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-begin-11-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-begin-12-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-begin-13-msg"], "RAID")
                    end 
                 },               
                 raid_end = { 
                    name = L["ann-raid-raid-end-title"], 
                    desc = L["ann-raid-raid-end-descr"], 
                    type = 'execute', 
                    func = function() 
                      SendChatMessage(L["ann-raid-raid-end-02-msg"], "RAID_WARNING")
                      SendChatMessage(L["ann-raid-raid-end-04-msg"], "RAID_WARNING")
                      SendChatMessage(L["ann-raid-raid-end-10-msg"], "RAID_WARNING")
                      SendChatMessage(L["ann-raid-raid-end-12-msg"], "RAID_WARNING")
  
                      SendChatMessage(L["ann-raid-raid-end-01-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-end-02-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-end-03-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-end-04-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-end-05-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-end-06-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-end-07-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-end-08-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-end-09-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-end-10-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-end-11-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-end-12-msg"], "RAID")
                      SendChatMessage(L["ann-raid-raid-end-13-msg"], "RAID")
                    end 
                 },
                 priority = { 
                    name = L["ann-common-looting-order-title"], 
                    desc = L["ann-common-looting-order-descr"], 
                    type = 'execute', 
                    func = function() 
                       SendChatMessage(L["ann-common-looting-order-01-msg"], "RAID")
                       SendChatMessage(L["ann-common-looting-order-02-msg"], "RAID")
                       SendChatMessage(L["ann-common-looting-order-03-msg"], "RAID")
                       SendChatMessage(L["ann-common-looting-order-04-msg"], "RAID")
                       SendChatMessage(L["ann-common-looting-order-05-msg"], "RAID")
                       SendChatMessage(L["ann-common-looting-order-06-msg"], "RAID")
                       SendChatMessage(L["ann-common-looting-order-07-msg"], "RAID")
                       SendChatMessage(L["ann-common-looting-order-08-msg"], "RAID")
                       SendChatMessage(L["ann-common-looting-order-09-msg"], "RAID")
                       SendChatMessage(L["ann-common-looting-order-10-msg"], "RAID")
                       SendChatMessage(L["ann-common-looting-order-11-msg"], "RAID")
                       SendChatMessage(L["ann-common-looting-order-12-msg"], "RAID")
                       SendChatMessage(L["ann-common-looting-order-13-msg"], "RAID")
                       SendChatMessage(L["ann-common-looting-order-14-msg"], "RAID")
                       SendChatMessage(L["ann-common-looting-order-15-msg"], "RAID")
                    end 
                 },
                 macro_curator = { 
                    name = L["ann-raid-macro-curator-title"], 
                    desc = L["ann-raid-macro-curator-descr"], 
                    type = 'execute', 
                    func = function() 
                       SendChatMessage(L["ann-raid-macro-curator-01-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-curator-02-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-curator-03-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-curator-04-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-curator-05-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-curator-06-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-curator-07-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-curator-08-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-curator-09-msg"], "RAID")
                    end 
                 },
                 macro_illhoof = { 
                    name = L["ann-raid-macro-illhoof-title"], 
                    desc = L["ann-raid-macro-illhoof-descr"], 
                    type = 'execute', 
                    func = function() 
                       SendChatMessage(L["ann-raid-macro-illhoof-01-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-illhoof-02-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-illhoof-03-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-illhoof-04-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-illhoof-05-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-illhoof-06-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-illhoof-07-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-illhoof-08-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-illhoof-09-msg"], "RAID")
                    end 
                 },
                 macro_najentus = { 
                    name = L["ann-raid-macro-najentus-title"], 
                    desc = L["ann-raid-macro-najentus-descr"], 
                    type = 'execute', 
                    func = function() 
                       SendChatMessage(L["ann-raid-macro-najentus-01-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-najentus-02-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-najentus-03-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-najentus-04-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-najentus-05-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-najentus-06-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-najentus-07-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-najentus-08-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-najentus-09-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-najentus-10-msg"], "RAID")
                    end 
                 },
                 macro_karathress = { 
                    name = L["ann-raid-macro-karathress-title"], 
                    desc = L["ann-raid-macro-karathress-descr"], 
                    type = 'execute', 
                    func = function() 
                       SendChatMessage(L["ann-raid-macro-karathress-01-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-karathress-02-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-karathress-03-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-karathress-04-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-karathress-05-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-karathress-06-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-karathress-07-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-karathress-08-msg"], "RAID")
                       SendChatMessage(L["ann-raid-macro-karathress-09-msg"], "RAID")
                    end 
                 }                 
              }
          },
            party = {
               name = L["ann-party-title"], 
               type = 'group', 
               desc = L["ann-party-descr"], 
               args = {             
                 kill_order ={ 
                    name = L["ann-common-kill-order-title"], 
                    desc = L["ann-common-kill-order-descr"], 
                    type = 'execute', 
                    func = function() 
                       SendChatMessage(L["ann-common-kill-order-01-msg"], "PARTY")
                       SendChatMessage(L["ann-common-kill-order-02-msg"], "PARTY")
                       SendChatMessage(L["ann-common-kill-order-03-msg"], "PARTY")
                       SendChatMessage(L["ann-common-kill-order-04-msg"], "PARTY")
                       SendChatMessage(L["ann-common-kill-order-05-msg"], "PARTY")
                       SendChatMessage(L["ann-common-kill-order-06-msg"], "PARTY")
                       SendChatMessage(L["ann-common-kill-order-07-msg"], "PARTY")
                       SendChatMessage(L["ann-common-kill-order-08-msg"], "PARTY")
                       SendChatMessage(L["ann-common-kill-order-09-msg"], "PARTY")
                       SendChatMessage(L["ann-common-kill-order-10-msg"], "PARTY")
                       SendChatMessage(L["ann-common-kill-order-11-msg"], "PARTY")
                       SendChatMessage(L["ann-common-kill-order-12-msg"], "PARTY")
                    end 
                 },
                 ventrilo ={ 
                    name = L["ann-common-ventrilo-title"], 
                    desc = L["ann-common-ventrilo-descr"], 
                    type = 'execute', 
                    func = function() 
                       SendChatMessage(L["ann-common-ventrilo-01-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-02-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-03-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-04-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-05-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-06-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-07-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-08-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-09-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-10-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-11-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-12-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-13-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-14-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-15-msg"], "PARTY")
                       SendChatMessage(L["ann-common-ventrilo-16-msg"], "PARTY")
                    end 
                 },               
                 party_begin ={ 
                    name = L["ann-raid-raid-begin-title"], 
                    desc = L["ann-raid-raid-begin-descr"], 
                    type = 'execute', 
                    func = function() 
                      SendChatMessage(L["ann-raid-raid-begin-02-msg"], "RAID_WARNING")
                      SendChatMessage(L["ann-raid-raid-begin-14-msg"], "RAID_WARNING")
  
                      SendChatMessage(L["ann-raid-raid-begin-01-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-begin-02-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-begin-03-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-begin-04-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-begin-05-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-begin-06-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-begin-07-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-begin-08-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-begin-09-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-begin-10-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-begin-11-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-begin-12-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-begin-13-msg"], "PARTY")
                    end 
                 },               
                 party_end ={ 
                    name = L["ann-raid-raid-end-title"], 
                    desc = L["ann-raid-raid-end-descr"], 
                    type = 'execute', 
                    func = function() 
                      SendChatMessage(L["ann-raid-raid-end-02-msg"], "RAID_WARNING")
                      SendChatMessage(L["ann-raid-raid-end-04-msg"], "RAID_WARNING")
                      SendChatMessage(L["ann-raid-raid-end-10-msg"], "RAID_WARNING")
                      SendChatMessage(L["ann-raid-raid-end-12-msg"], "RAID_WARNING")
  
                      SendChatMessage(L["ann-raid-raid-end-01-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-end-02-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-end-03-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-end-04-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-end-05-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-end-06-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-end-07-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-end-08-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-end-09-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-end-10-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-end-11-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-end-12-msg"], "PARTY")
                      SendChatMessage(L["ann-raid-raid-end-13-msg"], "PARTY")
                    end 
                 },
                 priority ={ 
                    name = L["ann-common-looting-order-title"], 
                    desc = L["ann-common-looting-order-descr"], 
                    type = 'execute', 
                    func = function() 
                       SendChatMessage(L["ann-common-looting-order-01-msg"], "PARTY")
                       SendChatMessage(L["ann-common-looting-order-02-msg"], "PARTY")
                       SendChatMessage(L["ann-common-looting-order-03-msg"], "PARTY")
                       SendChatMessage(L["ann-common-looting-order-04-msg"], "PARTY")
                       SendChatMessage(L["ann-common-looting-order-05-msg"], "PARTY")
                       SendChatMessage(L["ann-common-looting-order-06-msg"], "PARTY")
                       SendChatMessage(L["ann-common-looting-order-07-msg"], "PARTY")
                       SendChatMessage(L["ann-common-looting-order-08-msg"], "PARTY")
                       SendChatMessage(L["ann-common-looting-order-09-msg"], "PARTY")
                       SendChatMessage(L["ann-common-looting-order-10-msg"], "PARTY")
                       SendChatMessage(L["ann-common-looting-order-11-msg"], "PARTY")
                       SendChatMessage(L["ann-common-looting-order-12-msg"], "PARTY")
                       SendChatMessage(L["ann-common-looting-order-13-msg"], "PARTY")
                       SendChatMessage(L["ann-common-looting-order-14-msg"], "PARTY")
                       SendChatMessage(L["ann-common-looting-order-15-msg"], "PARTY")
                    end 
                 }
              }
          },
            say = {
               name = L["ann-say-title"], 
               type = 'group', 
               desc = L["ann-say-descr"], 
               args = { 
                threat = { 
                   name = L["ann-say-threat-title"], 
                   desc = L["ann-say-threat-descr"], 
                   type = 'execute', 
                   func = function() SendChatMessage(L["ann-say-threat-msg"], "SAY") end
                 },
                evasion = { 
                   name = L["ann-say-evasion-title"], 
                   desc = L["ann-say-evasion-descr"], 
                   type = 'execute', 
                   func = function() SendChatMessage(L["ann-say-evasion-msg"], "SAY") end
                 },
                granny = { 
                   name = L["ann-say-granny-title"], 
                   desc = L["ann-say-granny-descr"], 
                   type = 'execute', 
                   func = function() SendChatMessage(L["ann-say-granny-msg"], "SAY") end
                 }
               }
            }         
         }
      },
      chat = { 
         name = L["mainmenu-chat-title"], 
         type = 'group', 
         desc = L["mainmenu-chat-descr"], 
         args = { 
            join = { 
               name = L["chat-join-title"], 
               type = 'group', 
               desc = L["chat-join-descr"], 
               args = {
                  condknight = { 
                     name = L["chat-condknight-title"], 
                     desc = L["chat-condknight-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/join condknight") end 
                  },               
                  condruid = { 
                     name = L["chat-condruid-title"], 
                     desc = L["chat-condruid-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/join condruid") end 
                  }, 
                  conhunter = { 
                     name = L["chat-conhunter-title"], 
                     desc = L["chat-conhunter-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/join conhunter") end 
                  }, 
                  conmage = { 
                     name = L["chat-conmage-title"], 
                     desc = L["chat-conmage-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/join conmage") end 
                  }, 
                  conpaladin = { 
                     name = L["chat-conpaladin-title"], 
                     desc = L["chat-conpaladin-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/join conpaladin") end 
                  }, 
                  conpriest = { 
                     name = L["chat-conpriest-title"], 
                     desc = L["chat-conpriest-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/join conpriest") end 
                  }, 
                  conrogue = { 
                     name = L["chat-conrogue-title"], 
                     desc = L["chat-conrogue-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/join conrogue") end 
                  }, 
                  conshaman = { 
                     name = L["chat-conshaman-title"], 
                     desc = L["chat-conshaman-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/join conshaman") end 
                  },
                  contank = { 
                     name = L["chat-contank-title"], 
                     desc = L["chat-contank-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/join contank") end 
                  },                  
                  conlock = { 
                     name = L["chat-conlock-title"], 
                     desc = L["chat-conlock-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/join conlock") end 
                  }, 
                  conwarrior = { 
                     name = L["chat-conwarrior-title"], 
                     desc = L["chat-conwarrior-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/join conwarrior") end 
                  },
                  conhealer = { 
                     name = L["chat-conhealer-title"], 
                     desc = L["chat-conhealer-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/join conhealer") end 
                  }
               }
            },
            leave = { 
               name = L["chat-leave-title"], 
               type = 'group', 
               desc = L["chat-leave-descr"], 
               args = {
                  condknight = { 
                     name = L["chat-condknight-title"], 
                     desc = L["chat-condknight-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/leave condknight") end 
                  },                
                  condruid = { 
                     name = L["chat-condruid-title"], 
                     desc = L["chat-condruid-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/leave condruid") end 
                  }, 
                  conhunter = { 
                     name = L["chat-conhunter-title"], 
                     desc = L["chat-conhunter-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/leave conhunter") end 
                  }, 
                  conmage = { 
                     name = L["chat-conmage-title"], 
                     desc = L["chat-conmage-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/leave conmage") end 
                  }, 
                  conpaladin = { 
                     name = L["chat-conpaladin-title"], 
                     desc = L["chat-conpaladin-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/leave conpaladin") end 
                  }, 
                  conpriest = { 
                     name = L["chat-conpriest-title"], 
                     desc = L["chat-conpriest-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/leave conpriest") end 
                  }, 
                  conrogue = { 
                     name = L["chat-conrogue-title"], 
                     desc = L["chat-conrogue-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/leave conrogue") end 
                  }, 
                  conshaman = { 
                     name = L["chat-conshaman-title"], 
                     desc = L["chat-conshaman-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/leave conshaman") end 
                  },
                  contank = { 
                     name = L["chat-contank-title"], 
                     desc = L["chat-contank-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/leave contank") end 
                  },                  
                  conlock = { 
                     name = L["chat-conlock-title"], 
                     desc = L["chat-conlock-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/leave conlock") end 
                  }, 
                  conwarrior = { 
                     name = L["chat-conwarrior-title"], 
                     desc = L["chat-conwarrior-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/leave conwarrior") end 
                  },
                  conhealer = { 
                     name = L["chat-conhealer-title"], 
                     desc = L["chat-conhealer-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/leave conhealer") end 
                  }
               }
            },
            who = {
               name = L["chat-who-title"], 
               type = 'group', 
               desc = L["chat-who-descr"], 
               args = {
                  condknight = { 
                     name = L["chat-condknight-title"], 
                     desc = L["chat-condknight-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/chatwho condknight") end 
                  },                
                  condruid = { 
                     name = L["chat-condruid-title"], 
                     desc = L["chat-condruid-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/chatwho condruid") end 
                  }, 
                  conhunter = { 
                     name = L["chat-conhunter-title"], 
                     desc = L["chat-conhunter-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/chatwho conhunter") end 
                  }, 
                  conmage = { 
                     name = L["chat-conmage-title"], 
                     desc = L["chat-conmage-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/chatwho conmage") end 
                  }, 
                  conpaladin = { 
                     name = L["chat-conpaladin-title"], 
                     desc = L["chat-conpaladin-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/chatwho conpaladin") end 
                  }, 
                  conpriest = { 
                     name = L["chat-conpriest-title"], 
                     desc = L["chat-conpriest-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/chatwho conpriest") end 
                  }, 
                  conrogue = { 
                     name = L["chat-conrogue-title"], 
                     desc = L["chat-conrogue-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/chatwho conrogue") end 
                  }, 
                  conshaman = { 
                     name = L["chat-conshaman-title"], 
                     desc = L["chat-conshaman-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/chatwho conshaman") end 
                  },
                  contank = { 
                     name = L["chat-contank-title"], 
                     desc = L["chat-contank-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/chatwho contank") end 
                  },                   
                  conlock = { 
                     name = L["chat-conlock-title"], 
                     desc = L["chat-conlock-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/chatwho conlock") end 
                  }, 
                  conwarrior = { 
                     name = L["chat-conwarrior-title"], 
                     desc = L["chat-conwarrior-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/chatwho conwarrior") end 
                  },
                  conhealer = { 
                     name = L["chat-conhealer-title"], 
                     desc = L["chat-conhealer-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/chatwho conhealer") end 
                  }
               }            
            },
            list = {
               name = L["chat-list-title"], 
               desc = L["chat-list-descr"], 
               type = 'execute', 
               func = function() ExecuteChatCommand("/chatlist") end 
            },
            announce = {
               name = L["chat-announce-title"], 
               desc = L["chat-announce-descr"], 
               type = 'execute', 
               func = function() 
                  SendChatMessage(L["chat-announce-01-msg"], "RAID")
                  SendChatMessage(L["chat-announce-02-msg"], "RAID")
                  SendChatMessage(L["chat-announce-03-msg"], "RAID")
                  SendChatMessage(L["chat-announce-04-msg"], "RAID")
                  SendChatMessage(L["chat-announce-05-msg"], "RAID")
                  SendChatMessage(L["chat-announce-06-msg"], "RAID")
                  SendChatMessage(L["chat-announce-07-msg"], "RAID")
                  SendChatMessage(L["chat-announce-08-msg"], "RAID")
                  SendChatMessage(L["chat-announce-09-msg"], "RAID")
                  SendChatMessage(L["chat-announce-10-msg"], "RAID")
                  SendChatMessage(L["chat-announce-11-msg"], "RAID")
                  SendChatMessage(L["chat-announce-12-msg"], "RAID")
                  SendChatMessage(L["chat-announce-13-msg"], "RAID")
                  SendChatMessage(L["chat-announce-14-msg"], "RAID")
               end 
            }            
         }
      },
      addons = { 
         name = L["mainmenu-addons-title"], 
         type = 'group', 
         desc = L["mainmenu-addons-descr"], 
         args = { 
            ra = {
               name = L["addon-ra-title"],
               type = 'group',
               desc = L["addon-ra-descr"],
               args = {
                  ready = { 
                     name = L["addon-ra-ready-title"], 
                     desc = L["addon-ra-ready-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/raready")  end 
                  },
                  dura = { 
                     name = L["addon-ra-dura-title"], 
                     desc = L["addon-ra-dura-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/radur") end 
                  }, 
                  resist = { 
                     name = L["addon-ra-resist-title"], 
                     desc = L["addon-ra-resist-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/raresist") end 
                  },
                  item = { 
                     name = L["addon-ra-item-title"], 
                     desc = L["addon-ra-item-descr"], 
                     type = 'execute', 
                     func = function()
                        SendChatMessage(L["addon-ra-item-01-msg"], "OFFICER")
                        SendChatMessage(L["addon-ra-item-02-msg"], "OFFICER")
                        SendChatMessage(L["addon-ra-item-03-msg"], "OFFICER")
                        SendChatMessage(L["addon-ra-item-04-msg"], "OFFICER")
                        SendChatMessage(L["addon-ra-item-05-msg"], "OFFICER")
                        SendChatMessage(L["addon-ra-item-06-msg"], "OFFICER")
                        SendChatMessage(L["addon-ra-item-07-msg"], "OFFICER")
                        SendChatMessage(L["addon-ra-item-08-msg"], "OFFICER")
                        SendChatMessage(L["addon-ra-item-09-msg"], "OFFICER")
                        SendChatMessage(L["addon-ra-item-10-msg"], "OFFICER")
                        SendChatMessage(L["addon-ra-item-11-msg"], "OFFICER")                     
                     end 
                  },                  
                  version = { 
                     name = L["addon-ra-version-title"], 
                     desc = L["addon-ra-version-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/raversion")  end 
                  }               
               }
            },
            dbm = {
               name = L["addon-dbm-title"],
               type = 'group',
               desc = L["addon-dbm-descr"],
               args = {
                  timer_bio_02min = { 
                     name = L["addon-dbm-timer-bio-03m-title"], 
                     desc = L["addon-dbm-timer-bio-03m-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/dbm broadcast timer 0h3m "..L["addon-dbm-timer-bio-03m-msg"])  end 
                  }, 
                  timer_bio_05min = { 
                     name = L["addon-dbm-timer-bio-05m-title"], 
                     desc = L["addon-dbm-timer-bio-05m-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/dbm broadcast timer 0h5m "..L["addon-dbm-timer-bio-05m-msg"]) end 
                  }, 
                  timer_raid_begins_05m = { 
                     name = L["addon-dbm-timer-raid-start-05m-title"], 
                     desc = L["addon-dbm-timer-raid-start-05m-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/dbm broadcast timer 0h5m "..L["addon-dbm-timer-raid-start-msg"]) end 
                  },
                  timer_raid_begins_10m = { 
                     name = L["addon-dbm-timer-raid-start-10m-title"], 
                     desc = L["addon-dbm-timer-raid-start-10m-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/dbm broadcast timer 0h10m "..L["addon-dbm-timer-raid-start-msg"]) end 
                  }, 
                  timer_raid_begins_15m = { 
                     name = L["addon-dbm-timer-raid-start-15m-title"], 
                     desc = L["addon-dbm-timer-raid-start-15m-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/dbm broadcast timer 0h15m "..L["addon-dbm-timer-raid-start-msg"]) end 
                  }, 
                  timer_pull_05s_quiet = { 
                     name = L["addon-dbm-timer-pull-quiet-05s-title"], 
                     desc = L["addon-dbm-timer-pull-quiet-05s-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/dbm broadcast timer 0h0m5s "..L["addon-dbm-timer-pull-msg"]) end 
                  }, 
                  timer_pull_10s_quiet = { 
                     name = L["addon-dbm-timer-pull-quiet-10s-title"], 
                     desc = L["addon-dbm-timer-pull-quiet-10s-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/dbm broadcast timer 0h0m10s "..L["addon-dbm-timer-pull-msg"]) end 
                  }, 
                  timer_pull_05s_loud = { 
                     name = L["addon-dbm-timer-pull-loud-05s-title"], 
                     desc = L["addon-dbm-timer-pull-loud-05s-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/dbm pull 5s") end 
                  },             
                  timer_pull_10s_loud = { 
                     name = L["addon-dbm-timer-pull-loud-10s-title"], 
                     desc = L["addon-dbm-timer-pull-loud-10s-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/dbm pull 10s") end 
                  }, 
                  timer_bar_unlock = { 
                     name = L["addon-dbm-unlock-title"], 
                     desc = L["addon-dbm-unlock-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/dbm unlock") end 
                  },               
                  version = { 
                     name = L["addon-dbm-version-title"], 
                     desc = L["addon-dbm-version-descr"], 
                      type = 'execute', 
                      func = function() ExecuteChatCommand("/dbm ver") end 
                  }               
               }            
            },
            omen = {
               name = L["addon-omen-title"],
               type = 'group',
               desc = L["addon-omen-descr"],
               args = {
                  version = { 
                     name = L["addon-omen-version-title"], 
                     desc = L["addon-omen-version-descr"], 
                     type = 'execute', 
                     func = function()
                        local t = AceLibrary("Threat-1.0"):GetPartyRevisions()
                        for k, v in pairs(t) do
                          Omen:Print(k .. ": " .. v)
                        end
                     end               
                  }               
               }            
            },
            questhelper = {
               name = L["addon-questhelper-title"],
               type = 'group',
               desc = L["addon-questhelper-descr"],
               args = {
                  toggle = { 
                     name = L["addon-questhelper-toggle-title"], 
                     desc = L["addon-questhelper-toggle-descr"], 
                     type = 'execute', 
                     func = function() ExecuteChatCommand("/qh hide") end               
                  }               
               }
            }
         }
      }            
   } 
} 

ConvergeFu:RegisterChatCommand({"/confu"}, ConvergeFu.consoleOptions);
ConvergeFu.OnMenuRequest = ConvergeFu.consoleOptions; 

function ConvergeFu:OnTextUpdate() 
   if (self:IsTextShown()) then 
      self:ShowText(); 
      self:SetText("|cffffffff"..L["labelName"].."|r"); 
   else 
      self:HideText(); 
   end 
end 

function ConvergeFu:OnTooltipUpdate() 

   cat = Tablet:AddCategory(
     'columns', 1,
     'text', L["tablet-cat-01-title"],
     'textR', 1, 'textG', 1, 'textB', 0
   )
   cat:AddLine('text', L["tablet-cat-01-line-01"], 'textR', 1, 'textG', 1, 'textB', 1)
   cat:AddLine('text', L["tablet-cat-01-line-02"], 'textR', 1, 'textG', 1, 'textB', 1)
   cat:AddLine('text', L["tablet-cat-01-line-03"], 'textR', 1, 'textG', 1, 'textB', 1)
   cat:AddLine('text', L["tablet-cat-01-line-04"], 'textR', 1, 'textG', 1, 'textB', 1)
   cat:AddLine('text', L["tablet-cat-01-line-05"], 'textR', 1, 'textG', 1, 'textB', 1)
   cat:AddLine('text', L["tablet-cat-01-line-06"], 'textR', 1, 'textG', 1, 'textB', 1)
   cat:AddLine('text', L["tablet-cat-01-line-07"], 'textR', 1, 'textG', 1, 'textB', 1)
   cat:AddLine('text', L["tablet-cat-01-line-08"], 'textR', 1, 'textG', 1, 'textB', 1)
   cat:AddLine('text', L["tablet-cat-01-line-09"], 'textR', 1, 'textG', 1, 'textB', 1)
   
   cat = Tablet:AddCategory(
     'columns', 1,
     'text', L["tablet-cat-02-title"],
     'textR', 1, 'textG', 1, 'textB', 0
   )  
   cat:AddLine('text', L["tablet-cat-02-line-01"], 'textR', 1, 'textG', 1, 'textB', 1)
   cat:AddLine('text', L["tablet-cat-02-line-02"], 'textR', 1, 'textG', 1, 'textB', 1)
   cat:AddLine('text', L["tablet-cat-02-line-03"], 'textR', 1, 'textG', 1, 'textB', 1)
   cat:AddLine('text', L["common-officer-name-banasea"], 'textR', 1, 'textG', 0, 'textB', 1)   
   cat:AddLine('text', L["common-officer-name-broliant"], 'textR', 1, 'textG', 0, 'textB', 1)   
   cat:AddLine('text', L["common-officer-name-jawa"], 'textR', 1, 'textG', 0, 'textB', 1)   
   cat:AddLine('text', L["common-officer-name-letita"], 'textR', 1, 'textG', 0, 'textB', 1)   
   cat:AddLine('text', L["common-officer-name-lyamblade"], 'textR', 1, 'textG', 0, 'textB', 1)   
   cat:AddLine('text', L["common-officer-name-paraply"], 'textR', 1, 'textG', 0, 'textB', 1)   
   cat:AddLine('text', L["common-officer-name-vanhelgan"], 'textR', 1, 'textG', 0, 'textB', 1)   
   cat:AddLine('text', L["common-officer-name-zmall"], 'textR', 1, 'textG', 0, 'textB', 1)
   
   Tablet:SetHint(L["tabletHint"]); 
end 

function ConvergeFu:OnClick() 
  
end

-- Execute the /command in Chat
function ExecuteChatCommand(arg)
  if( not DEFAULT_CHAT_FRAME ) then return end
  DEFAULT_CHAT_FRAME.editBox:SetText(arg);
  ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox);
end