local L = AceLibrary("AceLocale-2.2"):new("ConvergeFu"); 

L:RegisterTranslations("enUS", function() return {

   ["labelName"]                               = "ConvergeFu",
   
   ["tablet-cat-01-title"]                     = "Welcome",
   ["tablet-cat-01-line-01"]                   = "An addon for the officers",
   ["tablet-cat-01-line-02"]                   = "and members of the guild",
   ["tablet-cat-01-line-03"]                   = "Converge, an Alliance PVE",
   ["tablet-cat-01-line-04"]                   = "raiding guild on Anachronos (EU).",
   ["tablet-cat-01-line-05"]                   = " ",
   ["tablet-cat-01-line-06"]                   = "To access the options from",
   ["tablet-cat-01-line-07"]                   = "your chat window, simply",
   ["tablet-cat-01-line-08"]                   = "enter /confu to view all",
   ["tablet-cat-01-line-09"]                   = "available options.",
   ["tablet-cat-01-line-10"]                   = " ",

   ["tablet-cat-02-title"]                     = "Guild Management",
   ["tablet-cat-02-line-01"]                   = "The guild is currently managed",
   ["tablet-cat-02-line-02"]                   = "by the following 8 officers.",
   ["tablet-cat-02-line-03"]                   = " ",
   
   ["tabletHint"]                              = "Right-click for ConvergeFu Options.", 

   ["common-separator-dashed-line"]            = "---------------------------------------------------------",
   ["common-separator-empty-line"]             = " ",
   
   ["common-officer-name-banasea"]             = " Banasea",
   ["common-officer-name-broliant"]            = " Broliant",
   ["common-officer-name-jawa"]                = " Jawa",
   ["common-officer-name-letita"]              = " Letita",
   ["common-officer-name-lyamblade"]           = " Lyamblade",
   ["common-officer-name-paraply"]             = " Paraply",
   ["common-officer-name-vanhelgan"]           = " Vanhelgan",
   ["common-officer-name-zmall"]               = " Zmall",

   ["mainmenu-announce-title"]                 = "1 - Announcements",
   ["mainmenu-announce-descr"]                 = "Standardised Announcement Message Options.",
   
   ["mainmenu-chat-title"]                     = "2 - Custom Chat",
   ["mainmenu-chat-descr"]                     = "Converge Custom Chat Options.",
   
   ["mainmenu-addons-title"]                   = "3 - Other Addons",
   ["mainmenu-addons-descr"]                   = "Easy-Access Options for Other Addons.",
   
   ["ann-guild-title"]                         = "1 - Guild Announcements", 
   ["ann-guild-descr"]                         = "Make an announcement in the guild chat channel.", 

   ["ann-raid-title"]                          = "2 - Raid Announcements", 
   ["ann-raid-descr"]                          = "Make an announcement in the raid chat channel.", 

   ["ann-party-title"]                         = "3 - Party Announcements", 
   ["ann-party-descr"]                         = "Make an announcement in the party chat channel.", 

   ["ann-say-title"]                           = "4 - Say Announcements", 
   ["ann-say-descr"]                           = "Make an announcement in the say chat channel.", 

   ["ann-guild-raid-invite-title"]             = "1 - Raid Invitations Open", 
   ["ann-guild-raid-invite-descr"]             = "Announce that the raid invitation period has begun.",

   ["ann-guild-raid-invite-officer-descr"]     = "Members should whisper the named officer for an invitation.",
   
   ["ann-guild-raid-invite-01-msg"]            = "---------------------------------------------------------",
   ["ann-guild-raid-invite-02-msg"]            = " Raid Invitation Time:",
   ["ann-guild-raid-invite-03-msg"]            = "---------------------------------------------------------",
   ["ann-guild-raid-invite-04-msg"]            = " Raid invitations have begun. Please",
   ["ann-guild-raid-invite-05-msg"]            = " whisper the word [invite] to...",
   ["ann-guild-raid-invite-06-msg"]            = " ",
   ["ann-guild-raid-invite-07-msg"]            = " ",
   ["ann-guild-raid-invite-08-msg"]            = " ...for an automated invitation",
   ["ann-guild-raid-invite-09-msg"]            = " into tonight's initial raid group.",
   ["ann-guild-raid-invite-10-msg"]            = "---------------------------------------------------------",

   ["ann-guild-wait-list-title"]               = "2 - Raid Queue Open",
   ["ann-guild-wait-list-descr"]               = "Announce that the raid queue is open.", 

   ["ann-guild-wait-list-officer-descr"]       = "Members should whisper the named officer to join the queue.",
      
   ["ann-guild-wait-list-01-msg"]              = "------------------------------------------------------------",
   ["ann-guild-wait-list-02-msg"]              = " Raid Queue / Wait List:",
   ["ann-guild-wait-list-03-msg"]              = "------------------------------------------------------------",
   ["ann-guild-wait-list-04-msg"]              = " The raid invitation period is now closed",
   ["ann-guild-wait-list-05-msg"]              = " ",
   ["ann-guild-wait-list-06-msg"]              = " To join the raid queue/wait-list, simply",
   ["ann-guild-wait-list-07-msg"]              = " whisper one of the following commands to",
   ["ann-guild-wait-list-08-msg"]              = " the raid queue officer.",
   ["ann-guild-wait-list-09-msg"]              = " ",
   ["ann-guild-wait-list-10-msg"]              = " 'wl add' - adds your name to the queue.",
   ["ann-guild-wait-list-11-msg"]              = " 'wl who' - see who else is queued.",
   ["ann-guild-wait-list-12-msg"]              = " ",
   ["ann-guild-wait-list-13-msg"]              = " Tonight's raid queue officer is...",
   ["ann-guild-wait-list-14-msg"]              = " ",
   ["ann-guild-wait-list-15-msg"]              = " ",
   ["ann-guild-wait-list-16-msg"]              = "------------------------------------------------------------",
   
   ["ann-guild-new-trial-title"]               = "3 - Welcome New Trial Member", 
   ["ann-guild-new-trial-descr"]               = "Warns guild members to prepare to welcome a new trial member.",
   ["ann-guild-new-trial-01-msg"]              = "---------------------------------------------------------",
   ["ann-guild-new-trial-02-msg"]              = " Guild Announcement:",
   ["ann-guild-new-trial-03-msg"]              = "---------------------------------------------------------",
   ["ann-guild-new-trial-04-msg"]              = " ",
   ["ann-guild-new-trial-05-msg"]              = " Ladies and Gentlemen. Please ready",
   ["ann-guild-new-trial-06-msg"]              = " yourselves to give a warm Converge",
   ["ann-guild-new-trial-07-msg"]              = " welcome to a new Trial Member who",
   ["ann-guild-new-trial-08-msg"]              = " will be joining the guild in just",
   ["ann-guild-new-trial-09-msg"]              = " a few moments.",
   ["ann-guild-new-trial-10-msg"]              = " ",
   ["ann-guild-new-trial-11-msg"]              = "---------------------------------------------------------",

   ["ann-guild-new-alt-title"]                 = "4 - Welcome New Alt Member", 
   ["ann-guild-new-alt-descr"]                 = "Warns guild members to prepare to welcome a new alt member.", 
   ["ann-guild-new-alt-01-msg"]                = "---------------------------------------------------------",
   ["ann-guild-new-alt-02-msg"]                = " Guild Announcement:",
   ["ann-guild-new-alt-03-msg"]                = "---------------------------------------------------------",
   ["ann-guild-new-alt-04-msg"]                = " ",
   ["ann-guild-new-alt-05-msg"]                = " Ladies and Gentlemen. Please ready",
   ["ann-guild-new-alt-06-msg"]                = " yourselves to give a warm Converge",
   ["ann-guild-new-alt-07-msg"]                = " welcome to a new Alt Member who",
   ["ann-guild-new-alt-08-msg"]                = " will be joining the guild in just",
   ["ann-guild-new-alt-09-msg"]                = " a few moments.",
   ["ann-guild-new-alt-10-msg"]                = " ",
   ["ann-guild-new-alt-11-msg"]                = "---------------------------------------------------------",   

   ["ann-guild-trial-ended-title"]             = "5 - Removing Failed Trial Member/s", 
   ["ann-guild-trial-ended-descr"]             = "Warns guild members that some guild removals are about to occur.", 
   ["ann-guild-trial-ended-01-msg"]            = "---------------------------------------------------------",
   ["ann-guild-trial-ended-02-msg"]            = " Guild Announcement:",
   ["ann-guild-trial-ended-03-msg"]            = "---------------------------------------------------------",
   ["ann-guild-trial-ended-04-msg"]            = " ",
   ["ann-guild-trial-ended-05-msg"]            = " One or more trial members that have",
   ["ann-guild-trial-ended-06-msg"]            = " failed their trial period will shortly",
   ["ann-guild-trial-ended-07-msg"]            = " be removed from the guild roster.",
   ["ann-guild-trial-ended-08-msg"]            = " ",
   ["ann-guild-trial-ended-09-msg"]            = " No drama, no fuss, nothing to see here.",
   ["ann-guild-trial-ended-10-msg"]            = " ",
   ["ann-guild-trial-ended-11-msg"]            = "---------------------------------------------------------",   

   ["ann-guild-promote-title"]                 = "6 - Congratulating Member Promotion", 
   ["ann-guild-promote-descr"]                 = "Warns guild members to prepare to congratulate an Initiate being promoted to full membership status.", 
   ["ann-guild-promote-01-msg"]                = "---------------------------------------------------------",
   ["ann-guild-promote-02-msg"]                = " Guild Announcement:",
   ["ann-guild-promote-03-msg"]                = "---------------------------------------------------------",
   ["ann-guild-promote-04-msg"]                = " ",
   ["ann-guild-promote-05-msg"]                = " Ladies and Gentlemen. Please ready",
   ["ann-guild-promote-06-msg"]                = " yourselves to congratulate the",
   ["ann-guild-promote-07-msg"]                = " latest member/s to have passed their",
   ["ann-guild-promote-08-msg"]                = " trial period and who are about to be",
   ["ann-guild-promote-09-msg"]                = " promoted to full Normal Member status.",
   ["ann-guild-promote-10-msg"]                = " ",
   ["ann-guild-promote-11-msg"]                = "---------------------------------------------------------",      

   ["ann-common-kill-order-title"]             = "Target Kill Order",
   ["ann-common-kill-order-descr"]             = "Announce the Target Kill Order",
   ["ann-common-kill-order-01-msg"]            = "---------------------------------------------------------",
   ["ann-common-kill-order-02-msg"]            = " Target Kill Order:",
   ["ann-common-kill-order-03-msg"]            = "---------------------------------------------------------",
   ["ann-common-kill-order-04-msg"]            = " 1 - {skull} - Skull",
   ["ann-common-kill-order-05-msg"]            = " 2 - {cross} - Cross",
   ["ann-common-kill-order-06-msg"]            = " 3 - {square} - Square. [Also: Ice Cube]",
   ["ann-common-kill-order-07-msg"]            = " 4 - {moon} - Moon",
   ["ann-common-kill-order-08-msg"]            = " 5 - {triangle} - Triangle. [Also: Toblerone]",
   ["ann-common-kill-order-09-msg"]            = " 6 - {diamond} - Diamond. [Also: Dildo]",
   ["ann-common-kill-order-10-msg"]            = " 7 - {circle} - Circle - [Also: Nipple]",
   ["ann-common-kill-order-11-msg"]            = " 8 - {star} - Star",
   ["ann-common-kill-order-12-msg"]            = "---------------------------------------------------------",

   ["ann-common-ventrilo-title"]               = "Ventrilo Server Details",
   ["ann-common-ventrilo-descr"]               = "Announce the Guild's Ventrilo Server Details.",
   ["ann-common-ventrilo-01-msg"]              = "---------------------------------------------------------",
   ["ann-common-ventrilo-02-msg"]              = " Ventrilo Server Details:",
   ["ann-common-ventrilo-03-msg"]              = "---------------------------------------------------------",
   ["ann-common-ventrilo-04-msg"]              = " Please join our Ventrilo server",
   ["ann-common-ventrilo-05-msg"]              = " which you can access with the",
   ["ann-common-ventrilo-06-msg"]              = " following details:",
   ["ann-common-ventrilo-07-msg"]              = " ",
   ["ann-common-ventrilo-08-msg"]              = " Host: 82.195.158.141",
   ["ann-common-ventrilo-09-msg"]              = " Port: 3790",
   ["ann-common-ventrilo-10-msg"]              = " User: <not required>",
   ["ann-common-ventrilo-11-msg"]              = " Pass: password",
   ["ann-common-ventrilo-12-msg"]              = " ",
   ["ann-common-ventrilo-13-msg"]              = " Please ensure your ventrilo name",
   ["ann-common-ventrilo-14-msg"]              = " matches your in-game name so we",      
   ["ann-common-ventrilo-15-msg"]              = " can recognise you!",   
   ["ann-common-ventrilo-16-msg"]              = "---------------------------------------------------------",
   
   ["ann-raid-raid-begin-title"]               = "Raid Beginning / Continuing", 
   ["ann-raid-raid-begin-descr"]               = "Announce that the raid is beginning/continuing, warn people to buff up.", 
   ["ann-raid-raid-begin-01-msg"]              = "---------------------------------------------------------",
   ["ann-raid-raid-begin-02-msg"]              = " Raid Beginning/Continuing.",
   ["ann-raid-raid-begin-03-msg"]              = "---------------------------------------------------------",
   ["ann-raid-raid-begin-04-msg"]              = " The raid is about to begin/continue.",
   ["ann-raid-raid-begin-05-msg"]              = " ",
   ["ann-raid-raid-begin-06-msg"]              = " Please ensure that you maintain the",
   ["ann-raid-raid-begin-07-msg"]              = " following buffs AT ALL TIMES during",
   ["ann-raid-raid-begin-08-msg"]              = " the raid.",
   ["ann-raid-raid-begin-09-msg"]              = " ",
   ["ann-raid-raid-begin-10-msg"]              = " 1x Flask OR 2x Elixirs",
   ["ann-raid-raid-begin-11-msg"]              = " 1x Food Buff",
   ["ann-raid-raid-begin-12-msg"]              = " ALL Weapons Buffed. (Oils/Stones)",
   ["ann-raid-raid-begin-13-msg"]              = "---------------------------------------------------------",
   ["ann-raid-raid-begin-14-msg"]              = "Buff up! - 1 Flask or 2 Elixirs, 1 Food Buff, All Weapons Buffed - AT ALL TIMES!",
   
   ["ann-raid-raid-end-title"]                 = "Raid End - Thanks", 
   ["ann-raid-raid-end-descr"]                 = "Announce the end of today's raid, thanking all, in RAID_WARNING channel.", 
   ["ann-raid-raid-end-01-msg"]                = "---------------------------------------------------------",
   ["ann-raid-raid-end-02-msg"]                = " Raid End.",
   ["ann-raid-raid-end-03-msg"]                = "---------------------------------------------------------",
   ["ann-raid-raid-end-04-msg"]                = " Thank you all for coming tonight.",
   ["ann-raid-raid-end-05-msg"]                = " ",
   ["ann-raid-raid-end-06-msg"]                = " We look forward to seeing you all",
   ["ann-raid-raid-end-07-msg"]                = " again soon on the next raid. Don't",
   ["ann-raid-raid-end-08-msg"]                = " forget to sign-up!",
   ["ann-raid-raid-end-09-msg"]                = " ",
   ["ann-raid-raid-end-10-msg"]                = " And until next time...",
   ["ann-raid-raid-end-11-msg"]                = " ",
   ["ann-raid-raid-end-12-msg"]                = " GAME OVER MAN, GAME OVER!",
   ["ann-raid-raid-end-13-msg"]                = "---------------------------------------------------------",
   
   ["ann-raid-macro-curator-title"]            = "Macro - Karazhan - Curator", 
   ["ann-raid-macro-curator-descr"]            = "Displays a useful macro hint for this boss.", 
   ["ann-raid-macro-curator-01-msg"]           = "---------------------------------------------------------",
   ["ann-raid-macro-curator-02-msg"]           = " Macro: Karazhan - Curator.",
   ["ann-raid-macro-curator-03-msg"]           = "---------------------------------------------------------",
   ["ann-raid-macro-curator-04-msg"]           = " The following macro tip may be of",
   ["ann-raid-macro-curator-05-msg"]           = " use in this fight. Type /macro to",
   ["ann-raid-macro-curator-06-msg"]           = " access the macro interface in-game.",
   ["ann-raid-macro-curator-07-msg"]           = " ",
   ["ann-raid-macro-curator-08-msg"]           = " /target Astral Shade",
   ["ann-raid-macro-curator-09-msg"]           = "---------------------------------------------------------",
   
   ["ann-raid-macro-illhoof-title"]            = "Macro - Karazhan - Illhoof", 
   ["ann-raid-macro-illhoof-descr"]            = "Displays a useful macro hint for this boss.", 
   ["ann-raid-macro-illhoof-01-msg"]           = "---------------------------------------------------------",
   ["ann-raid-macro-illhoof-02-msg"]           = " Macro: Karazhan - Illhoof.",
   ["ann-raid-macro-illhoof-03-msg"]           = "---------------------------------------------------------",
   ["ann-raid-macro-illhoof-04-msg"]           = " The following macro tip may be of",
   ["ann-raid-macro-illhoof-05-msg"]           = " use in this fight. Type /macro to",
   ["ann-raid-macro-illhoof-06-msg"]           = " access the macro interface in-game.",
   ["ann-raid-macro-illhoof-07-msg"]           = " ",
   ["ann-raid-macro-illhoof-08-msg"]           = " /target Demon Chains",
   ["ann-raid-macro-illhoof-09-msg"]           = "---------------------------------------------------------",

   ["ann-raid-macro-karathress-title"]         = "Macro - SSC - Karathress", 
   ["ann-raid-macro-karathress-descr"]         = "Displays a useful macro hint for this boss.", 
   ["ann-raid-macro-karathress-01-msg"]        = "---------------------------------------------------------",
   ["ann-raid-macro-karathress-02-msg"]        = " Macro: SSC - Karathress.",
   ["ann-raid-macro-karathress-03-msg"]        = "---------------------------------------------------------",
   ["ann-raid-macro-karathress-04-msg"]        = " The following macro tip may be of",
   ["ann-raid-macro-karathress-05-msg"]        = " use in this fight. Type /macro to",
   ["ann-raid-macro-karathress-06-msg"]        = " access the macro interface in-game.",
   ["ann-raid-macro-karathress-07-msg"]        = " ",
   ["ann-raid-macro-karathress-08-msg"]        = " /target spitfire totem",
   ["ann-raid-macro-karathress-09-msg"]        = "---------------------------------------------------------",
   
   ["ann-raid-macro-najentus-title"]           = "Macro - Black Temple - Naj'entus", 
   ["ann-raid-macro-najentus-descr"]           = "Displays a useful macro hint for this boss.", 
   ["ann-raid-macro-najentus-01-msg"]          = "---------------------------------------------------------",
   ["ann-raid-macro-najentus-02-msg"]          = " Macro: Black Temple - Naj'entus.",
   ["ann-raid-macro-najentus-03-msg"]          = "---------------------------------------------------------",
   ["ann-raid-macro-najentus-04-msg"]          = " The following macro tips may be of",
   ["ann-raid-macro-najentus-05-msg"]          = " use in this fight. Type /macro to",
   ["ann-raid-macro-najentus-06-msg"]          = " access the macro interface in-game.",
   ["ann-raid-macro-najentus-07-msg"]          = " ",
   ["ann-raid-macro-najentus-08-msg"]          = " 1: /y {NAME} HAS LOOTED A SPINE!",
   ["ann-raid-macro-najentus-09-msg"]          = " 2: /use Naj'entus spine",
   ["ann-raid-macro-najentus-10-msg"]          = "---------------------------------------------------------",
         
   ["ann-common-looting-order-title"]          = "Rank Based Priority Order",
   ["ann-common-looting-order-descr"]          = "Announce the rank based priority order.",
   ["ann-common-looting-order-01-msg"]         = "---------------------------------------------------------",
   ["ann-common-looting-order-02-msg"]         = " Rank Based Priority Order",
   ["ann-common-looting-order-03-msg"]         = "---------------------------------------------------------",
   ["ann-common-looting-order-04-msg"]         = " 1 - Guild Master/Officer/Hero Member",
   ["ann-common-looting-order-05-msg"]         = " 2 - * [Requested Alt-Officer/Alt-Hero]",
   ["ann-common-looting-order-06-msg"]         = " 3 - Normal Member",
   ["ann-common-looting-order-07-msg"]         = " 4 - * [Requested Alt-Normal]",
   ["ann-common-looting-order-08-msg"]         = " 5 - Trial Member",
   ["ann-common-looting-order-09-msg"]         = " 6 - * [Requested Alt-Trial]",
   ["ann-common-looting-order-10-msg"]         = " 7 - Alt-Officer/Alt-Hero",
   ["ann-common-looting-order-11-msg"]         = " 8 - Alt-Normal ",
   ["ann-common-looting-order-12-msg"]         = " 9 - Alt-Trial",
   ["ann-common-looting-order-13-msg"]         = "---------------------------------------------------------",
   ["ann-common-looting-order-14-msg"]         = " Bid Types: Main > Resist > Off",
   ["ann-common-looting-order-15-msg"]         = "---------------------------------------------------------",      

   ["ann-say-threat-title"]                    = "Winning on threat", 
   ["ann-say-threat-descr"]                    = "Say this message in the /say chat channel.", 
   ["ann-say-threat-msg"]                      = "I'm winning on threat!", 

   ["ann-say-evasion-title"]                   = "Evasion LoL", 
   ["ann-say-evasion-descr"]                   = "Say this message in the /say chat channel.", 
   ["ann-say-evasion-msg"]                     = "Evasion LoL!",
      
   ["ann-say-granny-title"]                    = "Lyam's Granny", 
   ["ann-say-granny-descr"]                    = "Say this message in the /say chat channel.", 
   ["ann-say-granny-msg"]                      = "Time to up the DPS, Lyam's granny is catching me!",
         
   ["chat-join-title"]                         = "1 - Join a guild chat channel ",
   ["chat-join-descr"]                         = "Join one of the guild's custom chat channels.",
   
   ["chat-leave-title"]                        = "2 - Leave a guild chat channel",   
   ["chat-leave-descr"]                        = "Leave one of the guild's custom chat channels.",  

   ["chat-who-title"]                          = "3 - List members in a channel.",   
   ["chat-who-descr"]                          = "List who is currently in a guild custom chat channel.",  

   ["chat-condknight-title"]                   = "condknight", 
   ["chat-condknight-descr"]                   = "The dedicated guild chat channel for death knight characters.",
   
   ["chat-condruid-title"]                     = "condruid", 
   ["chat-condruid-descr"]                     = "The dedicated guild chat channel for druid characters.", 

   ["chat-conhunter-title"]                    = "conhunter", 
   ["chat-conhunter-descr"]                    = "The dedicated guild chat channel for hunter characters.", 

   ["chat-conmage-title"]                      = "conmage", 
   ["chat-conmage-descr"]                      = "The dedicated guild chat channel for mage characters.", 

   ["chat-conpaladin-title"]                   = "conpaladin", 
   ["chat-conpaladin-descr"]                   = "The dedicated guild chat channel for paladin characters.", 

   ["chat-conpriest-title"]                    = "conpriest", 
   ["chat-conpriest-descr"]                    = "The dedicated guild chat channel for priest characters.", 

   ["chat-conrogue-title"]                     = "conrogue", 
   ["chat-conrogue-descr"]                     = "The dedicated guild chat channel for rogue characters.", 

   ["chat-conshaman-title"]                    = "conshaman", 
   ["chat-conshaman-descr"]                    = "The dedicated guild chat channel for shaman characters.", 

   ["chat-contank-title"]                      = "contank", 
   ["chat-contank-descr"]                      = "The dedicated guild chat channel for tank characters.",
   
   ["chat-conlock-title"]                      = "conlock", 
   ["chat-conlock-descr"]                      = "The dedicated guild chat channel for warlock characters.", 

   ["chat-conwarrior-title"]                   = "conwarrior", 
   ["chat-conwarrior-descr"]                   = "The dedicated guild chat channel for warrior characters.", 

   ["chat-conhealer-title"]                    = "conhealer", 
   ["chat-conhealer-descr"]                    = "The dedicated guild chat channel for healer characters.", 

   ["chat-list-title"]                         = "4 - List Chat Channels",   
   ["chat-list-descr"]                         = "List the chat channels you are currently in.", 
       
   ["chat-announce-title"]                     = "5 - Announce Custom Channels",   
   ["chat-announce-descr"]                     = "Announce the guild's custom chat channels in raid-chat.", 
   
   ["chat-announce-01-msg"]                    = "---------------------------------------------------------",
   ["chat-announce-02-msg"]                    = " Converge Custom Channels:",
   ["chat-announce-03-msg"]                    = "---------------------------------------------------------",
   ["chat-announce-04-msg"]                    = " Please join one or more of our",
   ["chat-announce-05-msg"]                    = " custom chat channels as appropriate",
   ["chat-announce-06-msg"]                    = " to your class and role in the raid.",
   ["chat-announce-07-msg"]                    = " ",
   ["chat-announce-08-msg"]                    = " Channel List:",
   ["chat-announce-09-msg"]                    = " ",
   ["chat-announce-10-msg"]                    = " condruid, conhunter, conmage",
   ["chat-announce-11-msg"]                    = " conpaladin, conpriest, conrogue",
   ["chat-announce-12-msg"]                    = " conshaman, conlock, conwarrior",
   ["chat-announce-13-msg"]                    = " conhealer, contank, condknight",   
   ["chat-announce-14-msg"]                    = "---------------------------------------------------------",

   ["addon-ra-title"]                          = "Raid Assist (oRA2/CTRA)",
   ["addon-ra-descr"]                          = "Addon options for oRA2 and CTRA",

   ["addon-ra-ready-title"]                    = "1 - Ready Check",
   ["addon-ra-ready-descr"]                    = "Perform a ready check.",

   ["addon-ra-dura-title"]                     = "2 - Durability Check",
   ["addon-ra-dura-descr"]                     = "Perform a durability check.",
   
   ["addon-ra-resist-title"]                   = "3 - Resistance Check",
   ["addon-ra-resist-descr"]                   = "Perform a resistance check.",

   ["addon-ra-item-title"]                     = "4 - Item Check",
   ["addon-ra-item-descr"]                     = "How to perform an item check.",
   ["addon-ra-item-01-msg"]                    = "---------------------------------------------------------",
   ["addon-ra-item-02-msg"]                    = " Raid Item Checks.",
   ["addon-ra-item-03-msg"]                    = "---------------------------------------------------------",
   ["addon-ra-item-04-msg"]                    = " When in a raid, you can perform an",
   ["addon-ra-item-05-msg"]                    = " item check if you are promoted to",
   ["addon-ra-item-06-msg"]                    = " raid assistant/leader by doing one",
   ["addon-ra-item-07-msg"]                    = " of the following commands:",
   ["addon-ra-item-08-msg"]                    = " ",
   ["addon-ra-item-09-msg"]                    = " /raitem [item-link]",
   ["addon-ra-item-10-msg"]                    = " /raitem item-name",
   ["addon-ra-item-11-msg"]                    = "---------------------------------------------------------",

   ["addon-ra-version-title"]                  = "5 - Version Check",
   ["addon-ra-version-descr"]                  = "Perform a version check.",            

   ["addon-dbm-title"]                         = "Deadly Bossmods",
   ["addon-dbm-descr"]                         = "Addon options for Deadly Bossmods",

   ["addon-dbm-timer-bio-03m-title"]           = "1 - Bio-Break Timer - 3m", 
   ["addon-dbm-timer-bio-03m-descr"]           = "Countdown until end of bio-break.",
   ["addon-dbm-timer-bio-03m-msg"]             = "*** Bio-break: 3 Minutes. ***",
   
   ["addon-dbm-timer-bio-05m-title"]           = "2 - Bio-Break Timer - 5m", 
   ["addon-dbm-timer-bio-05m-descr"]           = "Countdown until end of bio-break.",
   ["addon-dbm-timer-bio-05m-msg"]             = "*** Bio-break: 5 Minutes. ***",
   
   ["addon-dbm-timer-raid-start-05m-title"]    = "3 - Raid Start Timer - 5m", 
   ["addon-dbm-timer-raid-start-05m-descr"]    = "Countdown to raid start time.",

   ["addon-dbm-timer-raid-start-10m-title"]    = "4 - Raid Start Timer - 10m", 
   ["addon-dbm-timer-raid-start-10m-descr"]    = "Countdown to raid start time.",

   ["addon-dbm-timer-raid-start-15m-title"]    = "5 - Raid Start Timer - 15m", 
   ["addon-dbm-timer-raid-start-15m-descr"]    = "Countdown to raid start time.",

   ["addon-dbm-timer-raid-start-msg"]          = "*** Raid begins in... ***",

   ["addon-dbm-timer-pull-quiet-05s-title"]    = "6 - Pull Timer - Quiet - 5s", 
   ["addon-dbm-timer-pull-quiet-05s-descr"]    = "Countdown to pull, quietly.",

   ["addon-dbm-timer-pull-quiet-10s-title"]    = "7 - Pull Timer - Quiet - 10s", 
   ["addon-dbm-timer-pull-quiet-10s-descr"]    = "Countdown to pull, quietly.",
   
   ["addon-dbm-timer-pull-loud-05s-title"]     = "8 - Pull Timer - Loud - 5s", 
   ["addon-dbm-timer-pull-loud-05s-descr"]     = "Countdown to pull, with sound and raid-warnings.",

   ["addon-dbm-timer-pull-loud-10s-title"]     = "9 - Pull Timer - Loud - 10s", 
   ["addon-dbm-timer-pull-loud-10s-descr"]     = "Countdown to pull, with sound and raid-warnings.",

   ["addon-dbm-timer-pull-msg"]                = "Incoming Pull",

   ["addon-dbm-unlock-title"]                  = "A - Unlock Bars", 
   ["addon-dbm-unlock-descr"]                  = "Unlock the DBM timer bars to move them around your screen.",
   
   ["addon-dbm-version-title"]                 = "B - Version Check",
   ["addon-dbm-version-descr"]                 = "Perform a version check.", 

   ["addon-omen-title"]                        = "Omen",
   ["addon-omen-descr"]                        = "Addon options for Omen",
   
   ["addon-omen-version-title"]                = "1 - Version Check",
   ["addon-omen-version-descr"]                = "Perform a version check.",
   
   ["addon-questhelper-title"]                 = "Questhelper",
   ["addon-questhelper-descr"]                 = "Addon options for Questhelper",       

   ["addon-questhelper-toggle-title"]          = "1 - Toggle Help On/Off",
   ["addon-questhelper-toggle-descr"]          = "Toggle the help on/off, useful when entering and exiting raids.",
   
} end); 
